## org.eclipse.datatools.sqltools.sql.reference
Interface ITable

    public interface ITable

Author:
  Li Huang

Method Summary
`java.lang.String` `getAliasName()` Return alias name of this table.
`java.lang.String` `getName()`
`java.lang.String` `getOwner()`
`int` `getTableType()` Returns the tableType.
`boolean` `hasAliasName()` Test if this table has alias name.
`void` `setAliasName(java.lang.String aliasName)` Set alias name of this table;

Method Detail

### getOwner

    java.lang.String getOwner()

### getName

    java.lang.String getName()

### getTableType

    int getTableType()

  Returns the tableType.

  Returns:
    int

### hasAliasName

    boolean hasAliasName()

  Test if this table has alias name.

  Returns:
    `true` if this table has alias name; `false` otherwise.

### getAliasName

    java.lang.String getAliasName()

  Return alias name of this table.

  Returns:
    alias name

### setAliasName

    void setAliasName(java.lang.String aliasName)

  Set alias name of this table;

  Parameters:
    `aliasName` -